## t-code 2.3.1

=== debian/changelog ===
t-code (2:2.3.1-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1:2.0beta6c-2.
  * Update standards version to 4.6.2, no changes needed.

  [ HIGUCHI Daisuke (VDR dai) ]
  * fix FTBFS mazegaki.dic Error (Closes: #1099292)
    Thanks to Kentaro HAYASHI <kenhys@xdump.org>.
  * eliminate lintian warning: patch-not-forwarded-upstream
  * Bump debhelper compatibility level to 13.
  * Update standards version to 4.7.0.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 11 Mar 2025 21:35:02 +0900

t-code (2:2.3.1-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ HIGUCHI Daisuke (VDR dai) ]
  * Orphan package.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 27 Jun 2022 09:33:09 +0900

t-code (2:2.3.1-9) unstable; urgency=medium

  * d/control: Prefer emacs-nox and emacs instead of emacs25 (Closes: #952145)
    Thanks to Tatsuya Kinoshita <tats@debian.org>.
  * d/control: Bump debhelper compatibility level to 12
    and use debhelper-compat instead of d/compat.
  * d/control: set Rules-Requires-Root: as no.
  * bump up Standards-Version 4.5.0.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 13 Apr 2020 21:36:25 +0900

t-code (2:2.3.1-8) unstable; urgency=medium

  * d/p/use_string-to-number_instead_of_string-to-int.patch: new patch.
    - use string-to-number instead of string-to-int deprecated in emacs26
      (Closes: #916869)
  * d/p/series: remove duplicated entry
  * Update Standards-Version to 4.3.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 27 Dec 2018 19:18:17 +0900

t-code (2:2.3.1-7) unstable; urgency=medium

  * Move Vcs-* to salsa.debian.org.
  * Update Standards-Version to 4.1.3.
  * Bump debhelper compatibility level to 11.
  * eliminate lintian warning: file-contains-trailing-whitespace
  * eliminate lintian warning: insecure-copyright-format-uri
  * re-apply d/p/add_skkinput3_load_path.diff

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 30 May 2018 18:25:19 +0900

t-code (2:2.3.1-6) unstable; urgency=medium

  * d/rules: do not build parallel due to invite race condition.
  * marked as multi-arch: foreign.
  * bump up Standards-Version 4.0.0.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 19 Aug 2017 20:53:37 +0900

t-code (2:2.3.1-5) unstable; urgency=medium

  * Bump {build-,}deps emacs24 -> emacs25 (Closes: #870667).
    - thanks to Sean Whitton <spwhitton@spwhitton.name>
  * d/rules, d/compat, d/control: use dh10.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 04 Aug 2017 21:02:52 +0900

t-code (2:2.3.1-4) unstable; urgency=medium

  * debian/control
    - set myself as the maintainer with ex-maintainer's permission.
      thanks to NOSHIRO Shigeo <noshiro@debian.org> for previous works.
    - eliminate lintian warning: vcs-field-uses-insecure-uri
    - remove duplicate dependency.
    - remove transitional dependency.
    - bump up Standards-Version 3.9.8.
  * debian/copyright
    - eliminate lintian warning: dep5-copyright-license-name-not-unique

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 31 Jul 2016 14:30:46 +0900

t-code (2:2.3.1-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - depends emacs24 instead of emacs23,
      emacs23 has been removed from jessie (Closes: #768727).
  * fix missing copyright file after upgrade (Closes: #768239).
    - debian/t-code.maintscript: new file.
    - debian/control: add Pre-Depends: dpkg (>= 1.17.5).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 15 Nov 2014 14:57:57 +0900

t-code (2:2.3.1-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: fix Description (Closes: #742819)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 02 Apr 2014 20:43:39 +0900

t-code (2:2.3.1-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - add dh-autoreconf to Build-Depends:
    - update emacsen in Depends: and Build-Depends:
    - split t-code package into t-code and t-code-common.
  * debian/copyright: convert to DEP-5.
  * debian/*.install: convert from debian/dirs.
  * debian/t-code-common.docs: convert from debian/docs.
  * debian/t-code.emacsen-*: rename from debian/emacsen-*.
  * debian/t-code-common.examples: rename from debian/examples.
  * debian/t-code.info: rename from debian/info.
  * debian/patches/*: split *.diff.gz.
  * debian/rules, debian/compat: use dh9.
  * debian/source/format: set 3.0 (quilt).
  * debian/t-code-common.doc-base: new file.
  * debian/watch: new file.
  * bump up Standards-Version 3.9.5

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 11 Mar 2014 20:49:02 +0900

t-code (2:2.3.1-3.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Eric Dorland ]
  * debian/control: Drop unnecessary build-deps on autoconf and
    automake1.4. (Closes: #724010)

 -- Eric Dorland <eric@debian.org>  Sun, 12 Jan 2014 19:31:28 -0500

t-code (2:2.3.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild with newer debhelper to get rid of install-info calls in
    maintainer scripts. (Closes: #708499)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Aug 2013 21:37:50 +0200

t-code (2:2.3.1-3) unstable; urgency=low

  * FIX tc-sysdep.el.
    - Fix incompatibilities emacs22.
  * FIX lisp/Makefile.am
    - Set directory /usr/share/t-code
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Set Standards-Version to 3.7.3.

 -- NOSHIRO Shigeo <noshiro@debian.org>  Tue, 03 Feb 2009 10:09:25 +0900

t-code (2:2.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload, complied with the maintainer's request,
    closes: Bug#453458
  * Fix lintian error and warnings, closes: Bug#453307
    - Move debhelper from Build-Depends-Indep to Build-Depends.
    - Bump up debhelper version to 5.
    - Don't use DH_COMPAT in debian/rules, use debian/compat instead.
    - Don't ignore an error of make distclean in debian/rules.

