=== debian/control ===
Source: t-code
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: emacs-nox | emacs | xemacs21-mule | xemacs21-mule-canna-wnn | emacsen
Homepage: http://openlab.jp/tcode/
Vcs-Git: https://salsa.debian.org/debian/t-code.git
Vcs-Browser: https://salsa.debian.org/debian/t-code
Rules-Requires-Root: no

Package: t-code
Architecture: all
Depends: ${misc:Depends}, t-code-common (= ${source:Version}),
	emacs-nox | emacs | xemacs21-mule | xemacs21-mule-canna-wnn | emacsen
Multi-Arch: foreign
Description: Japanese direct input method environment for emacsen
 This package is provides tc2. the T-Code input environment for emacsen,
 which enables you to input Japanese characters with T-Code or TUT-Code.
 .
 T-Code is a Japanese input method that doesn't use Kana-to-Kanji
 conversion.  You can input Kanji characters directly in the same way
 of inputting Hiragana.  TUT-Code is an alternative to T-Code.
 .
 This package provides emacs support for T-Code.

Package: t-code-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Japanese direct input method environment - common files
 This package is provides tc2. the T-Code input environment for emacsen,
 which enables you to input Japanese characters with T-Code or TUT-Code.
 .
 T-Code is a Japanese input method that doesn't use Kana-to-Kanji
 conversion.  You can input Kanji characters directly in the same way
 of inputting Hiragana.  TUT-Code is an alternative to T-Code.
 .
 This package contains common files for the t-code package.
