=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${exec_prefix}/lib/t-code \
		--with-lispdir=\$${prefix}/share/emacs/site-lisp/t-code

override_dh_auto_clean:
	dh_auto_clean
	rm -f \
		$(CURDIR)/config.log \
		$(CURDIR)/aclocal.m4 \
		$(CURDIR)/compile \
		$(CURDIR)/etc/bushu.expand \
		$(CURDIR)/etc/bushu.index \
		$(CURDIR)/mazegaki/mazegaki.dic \
		$(CURDIR)/etc/bushu.index2 \
		$(CURDIR)/skkinput3/load-path.el

override_dh_install:
	$(MAKE) -C bushu-util DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C doc        DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C etc        DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C kinput2    DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C mazegaki   DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C skkinput3  DESTDIR=$(CURDIR)/debian/tmp install

	cd $(CURDIR)/debian/tmp/usr/share/t-code && \
		chmod +x bushu2canna where mkcertain.pl

	install -m 644 lisp/*.el \
		$(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/t-code

	rm -f $(CURDIR)/debian/tmp/usr/share/t-code/manual.pdf

	rm -f $(CURDIR)/debian/tmp/usr/bin/tcinput \
		$(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/t-code/*.elc \
		$(CURDIR)/debian/tmp/usr/share/info/dir \
		$(CURDIR)/debian/tmp/usr/share/info/tc.info

	dh_install

override_dh_installdocs:
	mkdir -p $(CURDIR)/debian/t-code-common/usr/share/doc/t-code-common/kinput2
	for i in README tc-ki2.el ccdef.tcode; do \
		cp -pr $(CURDIR)/kinput2/$$i \
			$(CURDIR)/debian/t-code-common/usr/share/doc/t-code-common/kinput2; \
	done
	mkdir -p $(CURDIR)/debian/t-code-common/usr/share/doc/t-code-common/skkinput3
	cp -pr $(CURDIR)/skkinput3/tcinput \
		$(CURDIR)/debian/t-code-common/usr/share/doc/t-code-common/skkinput3
	dh_installdocs

override_dh_link:
	rm -rf $(CURDIR)/debian/t-code/usr/share/doc/t-code
	dh_link -pt-code usr/share/doc/t-code-common usr/share/doc/t-code

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog ChangeLog.old
