=== debian/watch ===
version=3
http://openlab.jp/tcode/resources/soft/tc-(\d\.\d\.\d.*)\.tar\.gz
